import 'dart:ffi' as ffi;
import 'dart:io' show Platform;
import 'package:path/path.dart' show join;

import 'meta.dart';

ffi.DynamicLibrary getDyLibModule(String module) {
  String path = '';
  if (Platform.isWindows) {
    path = Windows().getCurrentPath();
  } else if (Platform.isLinux) {
    path = Linux().getCurrentPath();
  } else if (Platform.isMacOS) {
    path = Macos().getCurrentPath();
  } else {
    throw 'The version lib doesn\'t support thie platform';
  }

  return ffi.DynamicLibrary.open(join(path, module));
}
